import { defineStore } from "pinia";

export const useRetirementDataStore = defineStore("retirement", () => {
  const statusText = (val: string) => {
    switch (val) {
      case "WAITTING":
        return "รอดำเนินการ";
      case "PENDING":
        return "เลือกตำแหน่งแล้ว";
      case "APPROVE":
        return "อนุมัติ";
      case "REJECT":
        return "ไม่อนุมัติ";
      case "REPORT":
        return "ส่งรายชื่อไปออกคำสั่ง";
      case "DONE":
        return "ออกคำสั่งเสร็จแล้ว";

      default:
        return "-";
    }
  };

  return {
    statusText,
  };
});
